Show / Hide Table of Contents

# AsyncDrawGizmosTrigger Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncDrawGizmosTrigger : AsyncTriggerBase<AsyncUnit>, IUniTaskAsyncEnumerable<AsyncUnit>

##### Inheritance

System.Object → AsyncTriggerBase<AsyncUnit> → AsyncDrawGizmosTrigger

##### Implements

IUniTaskAsyncEnumerable<AsyncUnit>

### Members

#### Methods

Name | Description
--- | ---
GetOnDrawGizmosAsyncHandler() |
GetOnDrawGizmosAsyncHandler(CancellationToken) |
OnDrawGizmosAsync() |
OnDrawGizmosAsync(CancellationToken) |

### Methods

#### GetOnDrawGizmosAsyncHandler()

    public IAsyncOnDrawGizmosHandler GetOnDrawGizmosAsyncHandler()

##### Returns

IAsyncOnDrawGizmosHandler

#### GetOnDrawGizmosAsyncHandler(CancellationToken)

    public IAsyncOnDrawGizmosHandler GetOnDrawGizmosAsyncHandler(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` CancellationToken

##### Returns

IAsyncOnDrawGizmosHandler

#### OnDrawGizmosAsync()

    public UniTask OnDrawGizmosAsync()

##### Returns

UniTask

#### OnDrawGizmosAsync(CancellationToken)

    public UniTask OnDrawGizmosAsync(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` CancellationToken

##### Returns

UniTask

### Implements

IUniTaskAsyncEnumerable<T>